Name: nawt
Version: 2.0.5
Release: alt8.M40.1
Packager: Sergei Epiphanov <serpiph@altlinux.ru>

Summary: Handle the adminstration of NeTAMS system over the web
Summary(ru_RU.UTF-8): Управление NeTAMS через web
License: BSD
Group: Monitoring
Obsoletes: netamsadmin

URL: http://sourceforge.net/projects/netamsadmin/
Source0: http://belnet.dl.sourceforge.net/sourceforge/netamsadmin/%name-%version.tar.gz
Source1: %name.localhost.htaccess
Source2: %name-httpd.conf
Source3: net16.gif
Source4: %name.conf
Source5: %name-mods_enable.conf
Source6: %name-httpd.available

Patch0: %name-src-%version.patch

BuildRequires: perl(Date/Calc.pm) perl(Net/Telnet.pm) perl(Parse/PlainConfig.pm) perl(HTML/Template.pm)
BuildRequires: perl(Tie/IxHash.pm) perl(Tie/CPHash.pm) perl(Net/Ping.pm) perl(CPAN.pm)
BuildRequires: perl(CGI.pm) perl(DBI.pm) perl(DBD/mysql.pm) perl-base apache2-devel

Requires: netams-common >= 3.3.6 apache2 >= 2.2.4-alt12 perl >= 5.8.0 perl(DBD/mysql.pm)

BuildArch: noarch

%define pma_home %apache_datadir/addon-modules/%name
%define pma_doc %_docdir/%name-%version

%define _perl_lib_path %perl_vendor_privlib:%pma_home/lib

%add_findprov_skiplist perl(Nawt.pm)
%add_findprov_skiplist perl(Nawt/DateTime.pm)
%add_findprov_skiplist perl(Nawt/Debug.pm)
%add_findprov_skiplist perl(Nawt/Language.pm)
%add_findprov_skiplist perl(Nawt/Language/Russian.pm)
%add_findprov_skiplist perl(Nawt/Login.pm)
%add_findprov_skiplist perl(Nawt/Messaging.pm)
%add_findprov_skiplist perl(Nawt/Messaging/Mail.pm)
%add_findprov_skiplist perl(Nawt/Navigation.pm)
%add_findprov_skiplist perl(Nawt/Netams.pm)
%add_findprov_skiplist perl(Nawt/Netams/Policy.pm)
%add_findprov_skiplist perl(Nawt/Netams/User.pm)
%add_findprov_skiplist perl(Nawt/Operation.pm)
%add_findprov_skiplist perl(Nawt/Operation/Account.pm)
%add_findprov_skiplist perl(Nawt/Operation/AutoUnit.pm)
%add_findprov_skiplist perl(Nawt/Operation/Login.pm)
%add_findprov_skiplist perl(Nawt/Operation/Note.pm)
%add_findprov_skiplist perl(Nawt/Operation/Options.pm)
%add_findprov_skiplist perl(Nawt/Operation/Paycard.pm)
%add_findprov_skiplist perl(Nawt/Operation/Plan.pm)
%add_findprov_skiplist perl(Nawt/Operation/Policy.pm)
%add_findprov_skiplist perl(Nawt/Operation/Quota.pm)
%add_findprov_skiplist perl(Nawt/Operation/Report.pm)
%add_findprov_skiplist perl(Nawt/Operation/Service.pm)
%add_findprov_skiplist perl(Nawt/Operation/Stats.pm)
%add_findprov_skiplist perl(Nawt/Operation/Unit.pm)
%add_findprov_skiplist perl(Nawt/Operation/UnitList.pm)
%add_findprov_skiplist perl(Nawt/Operation/User.pm)
%add_findprov_skiplist perl(Nawt/Operation/Usertool.pm)
%add_findprov_skiplist perl(Nawt/Operation/Utility.pm)
%add_findprov_skiplist perl(Nawt/Privilegies.pm)
%add_findprov_skiplist perl(Nawt/SQL.pm)
%add_findprov_skiplist perl(Nawt/Session.pm)
%add_findprov_skiplist perl(Nawt/Theme.pm)
%add_findprov_skiplist perl(Nawt/Unit.pm)
%add_findprov_skiplist perl(Netams.pm)

Prefix: %apache_datadir

%description
%name (NeTAMS Web Tool) is web-based administration tool for NeTAMS system,
written in Perl.


%description -l ru_RU.UTF-8
%name -- это полнофункциональная Perl утилита для
администрирования системой NeTAMS.

Скрипт позволяет
 - создавать / удалять юниты, редактировать их, группировать,
   назначать политики и квоты.
 - создавать / удалять политики.
 - управлять логинами.
 - управлять биллингом

Имеется система управления доступом к программе на основе MySQL.


%prep
%setup -q -n %name
%patch0 -p1

%build
find . -type d -a -name CVS -print0 | xargs -0 rm -rf
find . -type f -a -name readme.txt -print0 | xargs -0 rm -rf
find . -type f -a -name Thumbs.db -print0 | xargs -0 rm -rf
for i in doc/API_RUS.txt `find -type f -a -name '*.p[ml]' -print` ./sbin/preload.perl; do
    j=$i.old; /bin/mv $i $j; /bin/sed '{s|@APACHE2@|%pma_home|}' $j > $i; /bin/rm -f $j
done

#Not needed due to separate packages
rm -rf lib/Parse lib/Tie

#Remove sertup programs
rm -f www/setup.pl
rm -f sbin/install.pl

#Comment this line when mod_perl2.0 will be in Sisyphus
/bin/rm -f ./sbin/preload.perl

%install
mkdir -p %buildroot%pma_home
mkdir -p %buildroot%pma_home/etc/oops/acl
mkdir -p %buildroot%apache_confdir/extra-start.d
mkdir -p %buildroot%apache_confdir/extra-available

mkdir -p %buildroot%pma_home/www
/bin/sed '{s|@APACHE2@|%pma_home|}' %SOURCE1 > %buildroot%pma_home/www/.htaccess

mkdir -p %buildroot%apache_addonconfdir
#/bin/sed '{s|@APACHE2@|%pma_home|}' %SOURCE2 > %buildroot%apache_addonconfdir/A.%name.conf

install -pD %SOURCE3 %buildroot%pma_home/www/images/net16.gif
install -pD %SOURCE5 %buildroot%apache_confdir/extra-start.d/900-nawt.conf
/bin/sed '{s|@APACHE2@|%pma_home|}' %SOURCE6 > %buildroot%apache_confdir/extra-available/nawt.conf
#install -pD %SOURCE6 %buildroot%apache_confdir/extra-available/nawt.conf

mkdir -p %buildroot%pma_home/etc
/bin/sed '{s|@APACHE2@|%pma_home|}' %SOURCE4 > %buildroot%pma_home/etc/%name.conf
cp -aRf {lib,sbin,www} %buildroot%pma_home

#add_findprov_lib_path %buildroot%pma_home/lib
#set_findprov_topdir %buildroot%pma_home

#add_findreq_skiplist %pma_home/lib/Nawt.pm
#add_findreq_skiplist %pma_home/modules/count.pl
#add_findreq_skiplist %pma_home/modules/graph.pl
#add_findreq_skiplist %pma_home/modules/login.pl
#add_findreq_skiplist %pma_home/modules/main.pl
#add_findreq_skiplist %pma_home/modules/policy.pl
#add_findreq_skiplist %pma_home/modules/quota.pl
#add_findreq_skiplist %pma_home/modules/unit.pl

%post
/usr/sbin/a2chkconfig
/sbin/service httpd2 condreload

%postun
/usr/sbin/a2chkconfig
/sbin/service httpd2 condreload

%files
%doc doc/{API_RUS.txt,NaWT.pdf,WHATSNEW.txt,create.sql}

%config(noreplace)%attr(644,root,root)%apache_confdir/extra-start.d/900-nawt.conf
%config(noreplace)%attr(644,root,root)%apache_confdir/extra-available/nawt.conf

#%attr(0660,root,root) %config(noreplace) %verify(not size mtime md5) %apache_addonconfdir/A.nawt.conf
%attr(0664,root,root) %config(noreplace) %verify(not size mtime md5) %pma_home/etc/nawt.conf
%attr(0640,root,%apache_group) %config(noreplace) %verify(not size mtime md5) %pma_home/www/.htaccess
%attr(2755,root,%apache_group) %dir %pma_home/etc/oops
%attr(2775,root,%apache_group) %dir %pma_home/etc/oops/acl

%attr(0750,root,%apache_group) %dir %pma_home
%dir %pma_home/etc
%dir %pma_home/lib
%dir %pma_home/lib/Nawt
%dir %pma_home/lib/Nawt/Language
%dir %pma_home/lib/Nawt/Messaging
%dir %pma_home/lib/Nawt/Netams
%dir %pma_home/lib/Nawt/Operation
%dir %pma_home/sbin
%dir %pma_home/www
%dir %pma_home/www/extras
%dir %pma_home/www/extras/css
%dir %pma_home/www/extras/images
%dir %pma_home/www/extras/images/icons
%dir %pma_home/www/extras/js
%dir %pma_home/www/extras/js/ThemeOffice
%dir %pma_home/www/extras/js/calendar
%dir %pma_home/www/extras/js/calendar/lang
%dir %pma_home/www/extras/js/tabs

%dir %pma_home/www/extras/js/tiny_mce
%dir %pma_home/www/extras/js/tiny_mce/langs
%dir %pma_home/www/extras/js/tiny_mce/plugins
%dir %pma_home/www/extras/js/tiny_mce/plugins/emotions
%dir %pma_home/www/extras/js/tiny_mce/plugins/iespell
%dir %pma_home/www/extras/js/tiny_mce/plugins/insertdatetime
%dir %pma_home/www/extras/js/tiny_mce/plugins/preview
%dir %pma_home/www/extras/js/tiny_mce/plugins/zoom
%dir %pma_home/www/extras/js/tiny_mce/plugins/*/images
%dir %pma_home/www/extras/js/tiny_mce/plugins/*/langs
%dir %pma_home/www/extras/js/tiny_mce/themes
%dir %pma_home/www/extras/js/tiny_mce/themes/*
%dir %pma_home/www/extras/js/tiny_mce/themes/*/docs
%dir %pma_home/www/extras/js/tiny_mce/themes/*/docs/*
%dir %pma_home/www/extras/js/tiny_mce/themes/*/docs/*/images
%dir %pma_home/www/extras/js/tiny_mce/themes/*/images
%dir %pma_home/www/extras/js/tiny_mce/themes/*/langs
%dir %pma_home/www/extras/js/tiny_mce/themes/*/langs/*
%dir %pma_home/www/images

%attr(755,root,root) %pma_home/sbin/*
%pma_home/lib/*.pm
%pma_home/lib/Nawt/*.pm
%pma_home/lib/Nawt/Language/*.pm
%pma_home/lib/Nawt/Messaging/*.pm
%pma_home/lib/Nawt/Netams/*.pm
%pma_home/lib/Nawt/Operation/*.pm
%attr(755,root,root) %pma_home/www/*.pl
%pma_home/www/extras/css/*.css
%pma_home/www/extras/images/*.png
%pma_home/www/extras/images/*.gif
%pma_home/www/extras/images/*.jpg
%pma_home/www/extras/images/icons/*.gif
%pma_home/www/extras/js/*.js
%pma_home/www/extras/js/ThemeOffice/*.png
%pma_home/www/extras/js/ThemeOffice/*.css
%pma_home/www/extras/js/ThemeOffice/*.js
%pma_home/www/extras/js/calendar/*.gif
%pma_home/www/extras/js/calendar/*.css
%pma_home/www/extras/js/calendar/*.js
%pma_home/www/extras/js/calendar/lang/*.js
%pma_home/www/extras/js/tabs/*.html
%pma_home/www/extras/js/tabs/*.png
%pma_home/www/extras/js/tabs/*.css
%pma_home/www/extras/js/tabs/*.js
%pma_home/www/extras/js/tiny_mce/*.htm
%pma_home/www/extras/js/tiny_mce/*.js
%pma_home/www/extras/js/tiny_mce/langs/*.js
%pma_home/www/extras/js/tiny_mce/plugins/*/*.htm
%pma_home/www/extras/js/tiny_mce/plugins/*/*.js
%pma_home/www/extras/js/tiny_mce/plugins/*/images/*.gif
%pma_home/www/extras/js/tiny_mce/plugins/*/langs/*.js
%pma_home/www/extras/js/tiny_mce/themes/*/*.htm
%pma_home/www/extras/js/tiny_mce/themes/*/*.css
%pma_home/www/extras/js/tiny_mce/themes/*/*.js
%pma_home/www/extras/js/tiny_mce/themes/*/docs/*/*.htm
%pma_home/www/extras/js/tiny_mce/themes/*/docs/*/*.css
%pma_home/www/extras/js/tiny_mce/themes/*/docs/*/images/*.gif
%pma_home/www/extras/js/tiny_mce/themes/*/docs/*/images/*.png
%pma_home/www/extras/js/tiny_mce/themes/*/images/*.gif
%pma_home/www/extras/js/tiny_mce/themes/*/langs/*.js
%pma_home/www/images/net16.gif

%changelog
* Sun Feb 17 2008 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt8.M40.1
- Build for Master40

* Sun Feb 17 2008 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt9
- Fix Summary locale

* Sun Dec 02 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt8
- Fix bug #13435
- Remove MySQL require

* Fri Jul 20 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt7
- Fix interaction with netams (reopened bug #11635)
- Fix default config
- Rewritten httpd2 config

* Sat Apr 28 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt6
- Fix postin script (bug #11632)
- Enable apache2 config
- Fix connect to netams (bug #11635)
- Add module enabling

* Tue Apr 24 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt5
- Change group to root for web accessed files

* Sun Apr 22 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt4
- Cleanup scripts due to new config version of apache2
- Move program root to common place

* Tue Apr 03 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt3
- Fix bug with configs
- Fix .htaccess bug
- Replace internal macros with their real names

* Tue Apr 03 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt2
- Fix bug #11299 with httpd (thanks to Artem Zolochevskiy)

* Thu Dec 21 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.0.5-alt1
- New version
- Base configure of nawt.conf and nawt-httpd.conf
- Rename package from netamsadmin to nawt

* Thu Dec 23 2004 Aleksey Avdeev <solo@altlinux.ru> 0.803-alt3
- fix requires problem.
- modify netamsadmin.conf file.

* Mon Oct 11 2004 Aleksey Avdeev <solo@altlinux.ru> 0.803-alt2
- fix graph problem.
- add net16.gif.

* Thu Oct 07 2004 Aleksey Avdeev <solo@altlinux.ru> 0.803-alt1
- new version.

* Wed Oct 06 2004 Aleksey Avdeev <solo@altlinux.ru> 0.771-alt2
- add netamsadmin.conf.

* Wed Aug 18 2004 Aleksey Avdeev <solo@altlinux.ru> 0.771-alt1
- first rpm distribution.
